Attribute VB_Name = "Module1"
Declare Function GetPrivateProfileString Lib "kernel32" _
   Alias "GetPrivateProfileStringA" _
   (ByVal lpApplicationName As String, _
   ByVal lpKeyName As Any, _
   ByVal lpDefault As String, _
   ByVal lpReturnedString As String, _
   ByVal nSize As Long, _
   ByVal lpFileName As String) As Long
   
Declare Function WritePrivateProfileString Lib "kernel32" _
   Alias "WritePrivateProfileStringA" _
   (ByVal lpApplicationName As String, _
   ByVal lpKeyName As Any, _
   ByVal lpString As Any, _
   ByVal lpFileName As String) As Long


Function getIni(sSection As String, sKey As String, sFile As String) As String

'Retrieves an entry from an .ini file:

    Dim sTemp As String
    Dim rc As Long

    'Always be sure to initialize a string being passed to an API
    sTemp = Space$(256)
    rc = GetPrivateProfileString(sSection, sKey, "", sTemp, Len(sTemp), sFile)
    
    'rc has the length of the string. Be sure to trim anything to the right
    sTemp = Left$(sTemp, rc)
    
    getIni = sTemp

End Function

Sub PutIni(ByVal sSection As String, ByVal sKey As String, ByVal sEntry As String, sFile As String)
' puts an entry to the .ini file

    Dim rc As Long
    
    rc = WritePrivateProfileString(sSection, sKey, sEntry, sFile)
 
End Sub

